csBaseTextureFactory Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Attributes
csBaseTextureFactory Class Reference

Base class for texture factories, with support for common parameters. More...

`#include <cstool/basetexfact.h>`

Inheritance diagram for csBaseTextureFactory:

List of all members.

## Public Member Functions
virtual void | GetSize (int &w, int &h)
| Get the size of the texture to be created.
virtual iTextureType * | GetTextureType () const
| Get the TextureType for this texture factory.
virtual void | SetSize (int w, int h)
| Set the size of the texture to be created.
## Protected Attributes
int | height
| Height parameter.
iObjectRegistry * | object_reg
| object registry
iTextureType * | texture_type
| Texture Type.
int | width
| Width parameter.

## Detailed Description

Base class for texture factories, with support for common parameters.

Remarks:
  Descendants must at least implement Generate(). Adding more parameters should be done via additional interfaces.

Definition at line 39 of file basetexfact.h.

## Member Function Documentation

virtual void csBaseTextureFactory::GetSize | ( | int & | w,
|  | int & | h
| ) |  | `[virtual]`

Get the size of the texture to be created.

Implements iTextureFactory.

virtual iTextureType* csBaseTextureFactory::GetTextureType | ( |  | ) | const`[virtual]`

Get the TextureType for this texture factory.

Implements iTextureFactory.

virtual void csBaseTextureFactory::SetSize | ( | int | w,
|  | int | h
| ) |  | `[virtual]`

Set the size of the texture to be created.

Implements iTextureFactory.

## Member Data Documentation

int csBaseTextureFactory::height`[protected]`

Height parameter.

Definition at line 49 of file basetexfact.h.

iObjectRegistry* csBaseTextureFactory::object_reg`[protected]`

object registry

Definition at line 45 of file basetexfact.h.

iTextureType* csBaseTextureFactory::texture_type`[protected]`

Texture Type.

Definition at line 51 of file basetexfact.h.

int csBaseTextureFactory::width`[protected]`

Width parameter.

Definition at line 47 of file basetexfact.h.

The documentation for this class was generated from the following file:

- cstool/basetexfact.h